import request from '../utils/request.js'

export const getMenu = (params) => {
	return request.send({
		url: '/BI/H5Controller/GetMenu',
		method: 'get',
		data: params,
	})

}
export const RegisterUser = (params) => {
	return request.send({
		url: '/BI/H5Controller/RegisterUser',
		method: 'post',
		data: params,
	})

}

//获取班组
export const PagedDep = (params) => {
	return request.send({
		url: '/BI/H5Controller/PagedDep',
		method: 'post',
		data: params,
	})
}

//获取某个班组的当班信息
export const WorkerScheduling = (params) => {
	return request.send({
		url: '/BI/H5Controller/WorkerScheduling',
		method: 'post',
		data: params,
	})
}


//获取区域
export const OrderPagedRiskArea = (params) => {
	return request.send({
		url: '/BI/H5Controller/OrderPagedRiskArea',
		method: 'post',
		data: params,
	})
}

//隐患查看
export const PagedRisk = (params) => {
	return request.send({
		url: '/BI/H5Controller/PagedRisk',
		method: 'post',
		data: params,
	})
}

//检查查看
export const PagedCheckMain = (params) => {
	return request.send({
		url: '/BI/H5Controller/PagedCheckMain',
		method: 'post',
		data: params,
	})
}

//风险查看
export const PagedEvaluateRisk = (params) => {
	return request.send({
		url: '/BI/H5Controller/PagedEvaluateRisk',
		method: 'post',
		data: params,
	})
}
//视频查看
export const PagedVideo = (params) => {
	return request.send({
		url: '/BI/H5Controller/PagedVideo',
		method: 'post',
		data: params,
	})
}

//危险作业查看
export const PagedDangerJob = (params) => {
	return request.send({
		url: '/BI/H5Controller/PagedDangerJob',
		method: 'post',
		data: params,
	})
}

//危险作业查看
export const GetPostRiskList = (params) => {
	params.isAll=true
	return request.send({
		url: '/BI/H5Controller/GetPostRiskList',
		method: 'post',
		data: params,
	})
}